# Tasks

### View task

Tasks are shown directly in the Tasks tab. Click on a task to view information about it.

### Filter tasks

Tasks can be filtered by five different options:

* Assigned to me
* All assigned to me
* Open tasks I have created
* All tasks I have created
* All tasks

### Find task

1. Click column header for Title, Status, Deadline, Responsible, Created or Unread comments
2. Type value to search for

{% hint style="info" %}
**Tip** When searching in text it defaults to a "Contain" search. If exact match is required wrap the search text in quotes like "text to search for".

Searching in numeric values supports less or greater than like <5 or >10.
{% endhint %}

### Add a new task

1. Click "Create task"
2. Set Title and Responsible along with additional [details](/pim3/reference/tasks/task-details.md)
3. Click "Create task"

### Edit task

1. Click "Edit"-icon
2. Modify the task [details](/pim3/reference/tasks/task-details.md)
3. Click "Update task"

### Delete task

1. Click "Delete"-icon
2. Confirm delete

### Bulk update tasks

1. Select the tasks you wish to bulk update
2. Click the icon corresponding to the property you wish to edit
3. Set a new value
4. Click "Set property"

### Bulk delete tasks

1. Select the tasks you wish to bulk delete
2. Click the appearing "Trash can"-icon
3. Click "OK" on the confirmation dialog

### Pin a task to the sidebar

1. Click the "Pin"-icon of the task you wish to pin


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/pim3/reference/tasks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
